Page MenuHomePhabricator

Flood flag for sh wiki
Closed, ResolvedPublic

Description

The users on sh.wikipedia.org reached a
consensus about the need for Flood flag (see URL):

  • Korisnici-botovi

(In english: "Flood flag", "Bot user")

$wgAddGroups['bureaucrat'][] = 'flood';
$wgAddGroups['sysop'][] = 'flood';
$wgRemoveGroups['bureaucrat'][] = 'flood';
$wgRemoveGroups['sysop'][] = 'flood';

The voting was opened for 7 days (23.07 - 30.07)and one user oposed to this. 5
users supported flood flag.

Regards!


Version: wmf-deployment
Severity: enhancement
URL: http://sh.wikipedia.org/wiki/Wikipedia:Pijaca-%D0%9F%D0%B8%D1%98%D0%B0%D1%86%D0%B0#Flood_flag

Details

Reference
bz52273

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:03 AM
bzimport set Reference to bz52273.

(In reply to comment #1)

?

What's wrong Tomasz?

(In reply to comment #2)

What's wrong Tomasz?

Just responding to an e–mail I've been sent with regards to this bug; keep going :-)

The community was so voted. What is the problem with flood flag for sh wiki?

As far as I know, no one has brought up any issues yet relating to this request, Kolega2357.

When the flood flag to be activated on Serbo-Croatian Wikipedia?

(In reply to comment #6)

When the flood flag to be activated on Serbo-Croatian Wikipedia?

When somebody writes a patch, merges the patch, and deploys a patch (does not have to be the same person for all these steps).
If you (or anybody else) would like to create a software patch to change the server configuration, please see

The files to change for this request are https://git.wikimedia.org/blob/operations%2Fmediawiki-config.git/HEAD/wmf-config%2FInitialiseSettings.php and https://git.wikimedia.org/blob/operations%2Fmediawiki-config.git/HEAD/wmf-config%2FCommonSettings.php
Please note that providing help with Git/Gerrit is out of scope for this specific bug report. Thanks!

TTO added a comment.Aug 16 2013, 9:41 AM

There was something that bothered me about this request (I can't remember what it was), so I left it for others to do.

But, now I look again, I can't see any problems.

Change 79324 had a related patch set uploaded by TTO:
Set up flood flag on shwiki

https://gerrit.wikimedia.org/r/79324

Change 79324 merged by jenkins-bot:
Set up flood flag on shwiki

https://gerrit.wikimedia.org/r/79324

Change 80226 had a related patch set uploaded by Brian Wolff:
Follow-up ccde789d5c24. Accidental change of crat -> sysop.

https://gerrit.wikimedia.org/r/80226

Change 80226 merged by jenkins-bot:
Follow-up ccde789d5c24. Accidental change of crat -> sysop.

https://gerrit.wikimedia.org/r/80226

TTO added a comment.Aug 21 2013, 11:50 PM

Done, and thanks to Brian for catching the error in my patch! Sorry about that.

$wgGroupPermissions['rollbacker']['rollback'] = true;
$wgGroupPermissions['rollbacker']['markbotedits'] = true;

This is a solution to the problem for flood flag on sh wiki when seen reverting changes with one click on mouse.

tomasz added a comment.Mar 9 2014, 9:58 PM

See bug 62462 for the request in comment 15.